=== src/foreign/CMakeLists.txt ===
add_subdirectory(PHEMlight)
add_subdirectory(rtree)
add_subdirectory(tcpip)
add_subdirectory(eulerspiral)
