=== src/traci-server/CMakeLists.txt ===
SET(traciserver_STAT_SRCS
   TraCIServer.h
   TraCIServer.cpp
   TraCIServerAPI_Edge.h
   TraCIServerAPI_Edge.cpp
   TraCIServerAPI_InductionLoop.h
   TraCIServerAPI_InductionLoop.cpp
   TraCIServerAPI_Junction.h
   TraCIServerAPI_Junction.cpp
   TraCIServerAPI_Lane.h
   TraCIServerAPI_Lane.cpp
   TraCIServerAPI_MultiEntryExit.h
   TraCIServerAPI_MultiEntryExit.cpp
   TraCIServerAPI_LaneArea.h
   TraCIServerAPI_LaneArea.cpp
   TraCIServerAPI_Person.h
   TraCIServerAPI_Person.cpp
   TraCIServerAPI_POI.h
   TraCIServerAPI_POI.cpp
   TraCIServerAPI_Polygon.h
   TraCIServerAPI_Polygon.cpp
   TraCIServerAPI_Route.h
   TraCIServerAPI_Route.cpp
   TraCIServerAPI_Simulation.h
   TraCIServerAPI_Simulation.cpp
   TraCIServerAPI_TrafficLight.h
   TraCIServerAPI_TrafficLight.cpp
   TraCIServerAPI_Vehicle.h
   TraCIServerAPI_Vehicle.cpp
   TraCIServerAPI_VehicleType.h
   TraCIServerAPI_VehicleType.cpp
)

add_library(traciserver STATIC ${traciserver_STAT_SRCS})
set_property(TARGET traciserver PROPERTY PROJECT_LABEL "z_traciserver")
add_dependencies(traciserver generate-version-h)
