=== debian/changelog ===
sumo (1.4.0+dfsg1-1) unstable; urgency=medium

  * [cfb6793] New upstream version 1.4.0+dfsg1
  * [55b1f2f] Refresh patches
  * [9f7b1a6] Remove libxerces-c2-dev from build-depends
  * [262513e] Set upstream metadata fields:
              Bug-Submit, Repository, Repository-Browse.
  * [1a77a39] Remove python from depends in sumo-tools. (Closes: #948931)
  * [1826942] Suppress python-script-but-no-python-dep lintian warning
              (should be clarified with upstream)
  * [70c62c4] Exclude min.js files
  * [c025637] Exclude some more files from the tarball
  * [fad823b] Add +dfsg1 suffix
  * [1c5a8e7] Update d/copyright

 -- Anton Gladky <gladk@debian.org>  Thu, 16 Jan 2020 22:12:23 +0100

sumo (1.3.1-5) unstable; urgency=medium

  * [12e5965] Set SUMO_HOME to escape network usage during build.
              (Closes: #945343)
  * [33f60f2] Let autopkgtests be built without network
  * [fd3c58c] Set Standards-Version to 4.4.1
  * [89e5a7f] Set upstream metadata fields: Repository.

 -- Anton Gladky <gladk@debian.org>  Sat, 23 Nov 2019 20:02:54 +0100

sumo (1.3.1-4) unstable; urgency=medium

  * [a8daad4] Fix some lintian warnings/errors

 -- Anton Gladky <gladk@debian.org>  Wed, 02 Oct 2019 22:56:52 +0200

sumo (1.3.1-3) unstable; urgency=medium

  * [bea99fe] Use python3 instead of python2. (Closes: #938597)

 -- Anton Gladky <gladk@debian.org>  Mon, 30 Sep 2019 22:01:23 +0200

sumo (1.3.1-2) unstable; urgency=medium

  [ Anton Gladky ]
  * [4471ca1] Remove Build-Depends-Indep section

  [ Wookey ]
  * [b28a361] Clean docs after build. (Closes: #925273)
  * [eddc3af] Do not clean  webWizard index.html. (Closes: #925272)

 -- Anton Gladky <gladk@debian.org>  Mon, 30 Sep 2019 17:16:50 +0200

sumo (1.3.1-1) unstable; urgency=medium

  * [93410cf] Update d/copyright
  * [3768348] Update d/watch
  * [443a78d] Refresh patches
  * [bb26543] Minor update in d-files
  * [26cd9ee] Move test-file into the d/tests
  * [6b981ec] Update autopkgtests
  * [a444fea] Set compat-level to 12
  * [aaa2b7e] Set Standards-version to 4.4.0
  * [483bcb4] Remove obsolete fields Name from debian/upstream/metadata.
  * [38f14bd] Update d/upstream/metadata
  * [bf6aeec] New upstream version 1.3.1. (Closes: #931940)

 -- Anton Gladky <gladk@debian.org>  Mon, 30 Sep 2019 15:19:20 +0200
