=== debian/tests/control ===
Tests: hokk
Depends: sumo
