=== debian/watch ===
version=4
opts=repacksuffix=+dfsg1,dversionmangle=s/\.dfsg//,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/<project>-$1\.tar\.gz/ \
     https://github.com/eclipse/sumo/tags .*/v?(\d\S+)\.tar\.gz
