## sumo 1.8.0%2Bdfsg2

=== src/netedit/changes/CMakeLists.txt ===
set(netedit_changes_SRCS
   GNEChange.h
   GNEChange.cpp
   GNEChange_Junction.h
   GNEChange_Junction.cpp
   GNEChange_Edge.h
   GNEChange_Edge.cpp
   GNEChange_EdgeType.h
   GNEChange_EdgeType.cpp
   GNEChange_LaneType.h
   GNEChange_LaneType.cpp
   GNEChange_Crossing.h
   GNEChange_Crossing.cpp
   GNEChange_Lane.h
   GNEChange_Lane.cpp
   GNEChange_Connection.h
   GNEChange_Connection.cpp
   GNEChange_Attribute.h
   GNEChange_Attribute.cpp
   GNEChange_EnableAttribute.h
   GNEChange_EnableAttribute.cpp
   GNEChange_TLS.h
   GNEChange_TLS.cpp
   GNEChange_Additional.h
   GNEChange_Additional.cpp
   GNEChange_DemandElement.h
   GNEChange_DemandElement.cpp
   GNEChange_DataSet.h
   GNEChange_DataSet.cpp
   GNEChange_DataInterval.h
   GNEChange_DataInterval.cpp
   GNEChange_GenericData.h
   GNEChange_GenericData.cpp
   GNEChange_Shape.h
   GNEChange_Shape.cpp
   GNEChange_TAZElement.h
   GNEChange_TAZElement.cpp
   GNEChange_Children.h
   GNEChange_Children.cpp
   )

add_library(netedit_changes STATIC ${netedit_changes_SRCS})
set_property(TARGET netedit_changes PROPERTY PROJECT_LABEL "z_netedit_changes")
